package com.fuyuanshen.app.domain.vo;

import com.fuyuanshen.app.domain.AppBusinessFile;
import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import com.fuyuanshen.common.excel.annotation.ExcelDictFormat;
import com.fuyuanshen.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * app业务文件视图对象 app_business_file
 *
 * @author Lion Li
 * @date 2025-07-03
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AppBusinessFile.class)
public class AppBusinessFileVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 文件id
     */
    @ExcelProperty(value = "文件id")
    private Long fileId;

    /**
     * 业务id
     */
    @ExcelProperty(value = "业务id")
    private Long businessId;

    /**
     * 文件类型(1:操作说明，2:产品参数)
     */
    @ExcelProperty(value = "文件类型(1:操作说明，2:产品参数)")
    private Long fileType;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
