package com.fuyuanshen.equipment.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.update.Update;
import com.fuyuanshen.common.tenant.core.TenantEntity;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author: 默苍璃
 * @date: 2025-06-1308:57
 */
@Getter
@Setter
@TableName("customer_device")
public class CustomerDevice extends TenantEntity {

    @NotNull(groups = Update.class)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField(value = "customer_id")
    private Long customerId;

    @TableField(value = "device_id")
    private Long deviceId;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    @TableField(value = "assign_status")
    private Byte assignStatus;

}