package com.fuyuanshen.equipment.domain.form;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;


/**
 * @Description: 设备表单
 * @Author: WY
 * @Date: 2025/5/17
 **/
@Data
public class DeviceForm {

    @Schema(title = "ID", hidden = true)
    private Long id;

    @Schema(title = "设备记录ID")
    private Long assignId;

    @Schema(title = "设备类型")
    private Long deviceType;

    @Schema(title = "客户号")
    private Long customerId;

    /*@Schema(value = "设备编号")
    private String deviceNo;*/

    @NotBlank(message = "设备名称不能为空")
    @Schema(title = "设备名称", required = true)
    private String deviceName;

    @Schema(title = "设备图片存储路径", hidden = true)
    private String devicePic;

    // @NotBlank(message = "设备MAC不能为空")
    @Schema(title = "设备MAC")
    private String deviceMac;

    @Schema(title = "设备IMEI")
    private String deviceImei;

    // @NotBlank(message = "设备SN不能为空")
    @Schema(title = "设备SN", required = true)
    private String deviceSn;

    @Schema(title = "设备图片")
    private MultipartFile file;

    @Schema(title = "备注")
    private String remark;

}
