package com.fuyuanshen.equipment.domain.query;

import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.sql.Timestamp;
import java.util.List;
import java.util.Set;

/**
 * 设备查询参数
 *
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Data
public class DeviceQueryCriteria extends BaseEntity {

    @Schema(name = "设备id")
    private Long deviceId;

    @Schema(name = "设备名称")
    private String deviceName;

    @Schema(name = "设备类型")
    private Long deviceType;

    @Schema(name = "设备MAC")
    private String deviceMac;

    @Schema(name = "设备IMEI")
    private String deviceImei;

    @Schema(name = "设备SN")
    private String deviceSn;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    @Schema(name = "设备状态  0 失效 1 正常  ")
    private Integer deviceStatus;

    @Schema(name = "页码", example = "1")
    private Integer pageNum = 1;

    @Schema(name = "每页数据量", example = "10")
    private Integer pageSize = 10;

    @Schema(name = "客户id")
    private Long customerId;
    private Set<Long> customerIds;

    @Schema(name = "当前所有者")
    private Long currentOwnerId;

    @Schema(name = "租户ID")
    private String tenantId;

    @Schema(name = "通讯方式", example = "0:4G;1:蓝牙")
    private Integer communicationMode;

}
